<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateNfsesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('nfses', function (Blueprint $table) {
            $table->id();
            $table->string('na_empresa')->nullable();
            $table->string('na_numero')->nullable();
            $table->string('na_dataNota')->nullable();
            $table->string('na_prestador')->nullable();
            $table->string('na_nomeprestador')->nullable();
            $table->double('na_valor')->nullable();
            $table->string('na_mes')->nullable();
            $table->string('na_exercicio')->nullable();
            $table->string('na_situacao')->nullable();
            $table->string('na_Validacao')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('nfses');
    }
}
